/* This file is auto-generated, only for internal use in TelemetryEvent.h,
   see gen_event_data.py. */

#ifndef mozilla_TelemetryEventData_h
#define mozilla_TelemetryEventData_h
#include "EventInfo.h"
namespace {

const uint32_t gExtraKeysTable[] = {
  // navigation, [search], [about_home, about_newtab, contextmenu, oneoff, suggestion, alias, enter, searchbar, urlbar]
  // extra_keys: engine
  0,
  // telemetry.test, [content_only], [object1]
  // extra_keys: foo, bar
  7, 11,
  // telemetry.test, [optout], [object1, object2]
  // extra_keys: key1
  15,
  // telemetry.test, [test1, test2], [object1, object2]
  // extra_keys: key2, key1
  20, 15,
  // telemetry.test.second, [test], [object1, object2, object3]
  // extra_keys: key1
  15,
  // activity_stream, [end], [session]
  // extra_keys: user_prefs, addon_version, page, session_id
  25, 36, 50, 55,
  // activity_stream, [event], [CLICK, SEARCH, BLOCK, DELETE, DELETE_CONFIRM, DIALOG_CANCEL, DIALOG_OPEN, OPEN_NEW_WINDOW, OPEN_PRIVATE_WINDOW, OPEN_NEWTAB_PREFS, CLOSE_NEWTAB_PREFS, BOOKMARK_DELETE, BOOKMARK_ADD, PIN, UNPIN, SAVE_TO_POCKET]
  // extra_keys: user_prefs, addon_version, action_position, page, session_id
  25, 36, 66, 50, 55,
};
static_assert(sizeof(gExtraKeysTable) <= UINT32_MAX, "index overflow");

const CommonEventInfo gCommonEventInfo[] = {
  // category: navigation
  // methods: [search]
  // objects: [about_home, about_newtab, contextmenu, oneoff, suggestion, alias, enter, searchbar, urlbar]
  {82, 93, 0, 1, nsITelemetry::DATASET_RELEASE_CHANNEL_OPTOUT, mozilla::Telemetry::Common::RecordedProcessType::Main},
  // category: telemetry.test
  // methods: [content_only]
  // objects: [object1]
  {100, 115, 1, 2, nsITelemetry::DATASET_RELEASE_CHANNEL_OPTIN, mozilla::Telemetry::Common::RecordedProcessType::Content},
  // category: telemetry.test
  // methods: [optout]
  // objects: [object1, object2]
  {100, 115, 3, 1, nsITelemetry::DATASET_RELEASE_CHANNEL_OPTOUT, mozilla::Telemetry::Common::RecordedProcessType::Main},
  // category: telemetry.test
  // methods: [test1, test2]
  // objects: [object1, object2]
  {100, 115, 4, 2, nsITelemetry::DATASET_RELEASE_CHANNEL_OPTIN, mozilla::Telemetry::Common::RecordedProcessType::Main},
  // category: telemetry.test
  // methods: [main_only]
  // objects: [object1]
  {100, 115, 0, 0, nsITelemetry::DATASET_RELEASE_CHANNEL_OPTIN, mozilla::Telemetry::Common::RecordedProcessType::Main},
  // category: telemetry.test
  // methods: [main_and_content]
  // objects: [object1]
  {100, 115, 0, 0, nsITelemetry::DATASET_RELEASE_CHANNEL_OPTIN, mozilla::Telemetry::Common::RecordedProcessType::Main | mozilla::Telemetry::Common::RecordedProcessType::Content},
  // category: telemetry.test
  // methods: [expired_version]
  // objects: [object1, object2]
  {100, 121, 0, 0, nsITelemetry::DATASET_RELEASE_CHANNEL_OPTIN, mozilla::Telemetry::Common::RecordedProcessType::Main},
  // category: telemetry.test
  // methods: [not_expired_optout]
  // objects: [object1]
  {100, 127, 0, 0, nsITelemetry::DATASET_RELEASE_CHANNEL_OPTOUT, mozilla::Telemetry::Common::RecordedProcessType::Main},
  // category: telemetry.test.second
  // methods: [test]
  // objects: [object1, object2, object3]
  {135, 115, 6, 1, nsITelemetry::DATASET_RELEASE_CHANNEL_OPTIN, mozilla::Telemetry::Common::RecordedProcessType::Main},
  // category: activity_stream
  // methods: [end]
  // objects: [session]
  {157, 115, 7, 4, nsITelemetry::DATASET_RELEASE_CHANNEL_OPTOUT, mozilla::Telemetry::Common::RecordedProcessType::Main},
  // category: activity_stream
  // methods: [event]
  // objects: [CLICK, SEARCH, BLOCK, DELETE, DELETE_CONFIRM, DIALOG_CANCEL, DIALOG_OPEN, OPEN_NEW_WINDOW, OPEN_PRIVATE_WINDOW, OPEN_NEWTAB_PREFS, CLOSE_NEWTAB_PREFS, BOOKMARK_DELETE, BOOKMARK_ADD, PIN, UNPIN, SAVE_TO_POCKET]
  {157, 115, 11, 5, nsITelemetry::DATASET_RELEASE_CHANNEL_OPTOUT, mozilla::Telemetry::Common::RecordedProcessType::Main},
};
static_assert(sizeof(gCommonEventInfo) <= UINT32_MAX, "index overflow");

const EventInfo gEventInfo[] = {
  // category: navigation, method: search, object: about_home
  {gCommonEventInfo[0], 173, 180},
  // category: navigation, method: search, object: about_newtab
  {gCommonEventInfo[0], 173, 191},
  // category: navigation, method: search, object: contextmenu
  {gCommonEventInfo[0], 173, 204},
  // category: navigation, method: search, object: oneoff
  {gCommonEventInfo[0], 173, 216},
  // category: navigation, method: search, object: suggestion
  {gCommonEventInfo[0], 173, 223},
  // category: navigation, method: search, object: alias
  {gCommonEventInfo[0], 173, 234},
  // category: navigation, method: search, object: enter
  {gCommonEventInfo[0], 173, 240},
  // category: navigation, method: search, object: searchbar
  {gCommonEventInfo[0], 173, 246},
  // category: navigation, method: search, object: urlbar
  {gCommonEventInfo[0], 173, 256},
  // category: telemetry.test, method: content_only, object: object1
  {gCommonEventInfo[1], 263, 276},
  // category: telemetry.test, method: optout, object: object1
  {gCommonEventInfo[2], 284, 276},
  // category: telemetry.test, method: optout, object: object2
  {gCommonEventInfo[2], 284, 291},
  // category: telemetry.test, method: test1, object: object1
  {gCommonEventInfo[3], 299, 276},
  // category: telemetry.test, method: test1, object: object2
  {gCommonEventInfo[3], 299, 291},
  // category: telemetry.test, method: test2, object: object1
  {gCommonEventInfo[3], 305, 276},
  // category: telemetry.test, method: test2, object: object2
  {gCommonEventInfo[3], 305, 291},
  // category: telemetry.test, method: main_only, object: object1
  {gCommonEventInfo[4], 311, 276},
  // category: telemetry.test, method: main_and_content, object: object1
  {gCommonEventInfo[5], 321, 276},
  // category: telemetry.test, method: expired_version, object: object1
  {gCommonEventInfo[6], 338, 276},
  // category: telemetry.test, method: expired_version, object: object2
  {gCommonEventInfo[6], 338, 291},
  // category: telemetry.test, method: not_expired_optout, object: object1
  {gCommonEventInfo[7], 354, 276},
  // category: telemetry.test.second, method: test, object: object1
  {gCommonEventInfo[8], 373, 276},
  // category: telemetry.test.second, method: test, object: object2
  {gCommonEventInfo[8], 373, 291},
  // category: telemetry.test.second, method: test, object: object3
  {gCommonEventInfo[8], 373, 378},
  // category: activity_stream, method: end, object: session
  {gCommonEventInfo[9], 386, 390},
  // category: activity_stream, method: event, object: CLICK
  {gCommonEventInfo[10], 398, 404},
  // category: activity_stream, method: event, object: SEARCH
  {gCommonEventInfo[10], 398, 410},
  // category: activity_stream, method: event, object: BLOCK
  {gCommonEventInfo[10], 398, 417},
  // category: activity_stream, method: event, object: DELETE
  {gCommonEventInfo[10], 398, 423},
  // category: activity_stream, method: event, object: DELETE_CONFIRM
  {gCommonEventInfo[10], 398, 430},
  // category: activity_stream, method: event, object: DIALOG_CANCEL
  {gCommonEventInfo[10], 398, 445},
  // category: activity_stream, method: event, object: DIALOG_OPEN
  {gCommonEventInfo[10], 398, 459},
  // category: activity_stream, method: event, object: OPEN_NEW_WINDOW
  {gCommonEventInfo[10], 398, 471},
  // category: activity_stream, method: event, object: OPEN_PRIVATE_WINDOW
  {gCommonEventInfo[10], 398, 487},
  // category: activity_stream, method: event, object: OPEN_NEWTAB_PREFS
  {gCommonEventInfo[10], 398, 507},
  // category: activity_stream, method: event, object: CLOSE_NEWTAB_PREFS
  {gCommonEventInfo[10], 398, 525},
  // category: activity_stream, method: event, object: BOOKMARK_DELETE
  {gCommonEventInfo[10], 398, 544},
  // category: activity_stream, method: event, object: BOOKMARK_ADD
  {gCommonEventInfo[10], 398, 560},
  // category: activity_stream, method: event, object: PIN
  {gCommonEventInfo[10], 398, 573},
  // category: activity_stream, method: event, object: UNPIN
  {gCommonEventInfo[10], 398, 577},
  // category: activity_stream, method: event, object: SAVE_TO_POCKET
  {gCommonEventInfo[10], 398, 583},
};
static_assert(sizeof(gEventInfo) <= UINT32_MAX, "index overflow");

const char gEventsStringTable[] = {
  /*     0 - "engine" */ 'e', 'n', 'g', 'i', 'n', 'e', '\0',
  /*     7 - "foo" */ 'f', 'o', 'o', '\0',
  /*    11 - "bar" */ 'b', 'a', 'r', '\0',
  /*    15 - "key1" */ 'k', 'e', 'y', '1', '\0',
  /*    20 - "key2" */ 'k', 'e', 'y', '2', '\0',
  /*    25 - "user_prefs" */ 'u', 's', 'e', 'r', '_', 'p', 'r', 'e', 'f', 's', '\0',
  /*    36 - "addon_version" */ 'a', 'd', 'd', 'o', 'n', '_', 'v', 'e', 'r', 's', 'i', 'o', 'n', '\0',
  /*    50 - "page" */ 'p', 'a', 'g', 'e', '\0',
  /*    55 - "session_id" */ 's', 'e', 's', 's', 'i', 'o', 'n', '_', 'i', 'd', '\0',
  /*    66 - "action_position" */ 'a', 'c', 't', 'i', 'o', 'n', '_', 'p', 'o', 's', 'i', 't', 'i', 'o', 'n', '\0',
  /*    82 - "navigation" */ 'n', 'a', 'v', 'i', 'g', 'a', 't', 'i', 'o', 'n', '\0',
  /*    93 - "65.0a1" */ '6', '5', '.', '0', 'a', '1', '\0',
  /*   100 - "telemetry.test" */ 't', 'e', 'l', 'e', 'm', 'e', 't', 'r', 'y', '.', 't', 'e', 's', 't', '\0',
  /*   115 - "never" */ 'n', 'e', 'v', 'e', 'r', '\0',
  /*   121 - "3.0a1" */ '3', '.', '0', 'a', '1', '\0',
  /*   127 - "999.0a1" */ '9', '9', '9', '.', '0', 'a', '1', '\0',
  /*   135 - "telemetry.test.second" */ 't', 'e', 'l', 'e', 'm', 'e', 't', 'r', 'y', '.', 't', 'e', 's', 't', '.', 's', 'e', 'c', 'o', 'n', 'd', '\0',
  /*   157 - "activity_stream" */ 'a', 'c', 't', 'i', 'v', 'i', 't', 'y', '_', 's', 't', 'r', 'e', 'a', 'm', '\0',
  /*   173 - "search" */ 's', 'e', 'a', 'r', 'c', 'h', '\0',
  /*   180 - "about_home" */ 'a', 'b', 'o', 'u', 't', '_', 'h', 'o', 'm', 'e', '\0',
  /*   191 - "about_newtab" */ 'a', 'b', 'o', 'u', 't', '_', 'n', 'e', 'w', 't', 'a', 'b', '\0',
  /*   204 - "contextmenu" */ 'c', 'o', 'n', 't', 'e', 'x', 't', 'm', 'e', 'n', 'u', '\0',
  /*   216 - "oneoff" */ 'o', 'n', 'e', 'o', 'f', 'f', '\0',
  /*   223 - "suggestion" */ 's', 'u', 'g', 'g', 'e', 's', 't', 'i', 'o', 'n', '\0',
  /*   234 - "alias" */ 'a', 'l', 'i', 'a', 's', '\0',
  /*   240 - "enter" */ 'e', 'n', 't', 'e', 'r', '\0',
  /*   246 - "searchbar" */ 's', 'e', 'a', 'r', 'c', 'h', 'b', 'a', 'r', '\0',
  /*   256 - "urlbar" */ 'u', 'r', 'l', 'b', 'a', 'r', '\0',
  /*   263 - "content_only" */ 'c', 'o', 'n', 't', 'e', 'n', 't', '_', 'o', 'n', 'l', 'y', '\0',
  /*   276 - "object1" */ 'o', 'b', 'j', 'e', 'c', 't', '1', '\0',
  /*   284 - "optout" */ 'o', 'p', 't', 'o', 'u', 't', '\0',
  /*   291 - "object2" */ 'o', 'b', 'j', 'e', 'c', 't', '2', '\0',
  /*   299 - "test1" */ 't', 'e', 's', 't', '1', '\0',
  /*   305 - "test2" */ 't', 'e', 's', 't', '2', '\0',
  /*   311 - "main_only" */ 'm', 'a', 'i', 'n', '_', 'o', 'n', 'l', 'y', '\0',
  /*   321 - "main_and_content" */ 'm', 'a', 'i', 'n', '_', 'a', 'n', 'd', '_', 'c', 'o', 'n', 't', 'e', 'n', 't', '\0',
  /*   338 - "expired_version" */ 'e', 'x', 'p', 'i', 'r', 'e', 'd', '_', 'v', 'e', 'r', 's', 'i', 'o', 'n', '\0',
  /*   354 - "not_expired_optout" */ 'n', 'o', 't', '_', 'e', 'x', 'p', 'i', 'r', 'e', 'd', '_', 'o', 'p', 't', 'o', 'u', 't', '\0',
  /*   373 - "test" */ 't', 'e', 's', 't', '\0',
  /*   378 - "object3" */ 'o', 'b', 'j', 'e', 'c', 't', '3', '\0',
  /*   386 - "end" */ 'e', 'n', 'd', '\0',
  /*   390 - "session" */ 's', 'e', 's', 's', 'i', 'o', 'n', '\0',
  /*   398 - "event" */ 'e', 'v', 'e', 'n', 't', '\0',
  /*   404 - "CLICK" */ 'C', 'L', 'I', 'C', 'K', '\0',
  /*   410 - "SEARCH" */ 'S', 'E', 'A', 'R', 'C', 'H', '\0',
  /*   417 - "BLOCK" */ 'B', 'L', 'O', 'C', 'K', '\0',
  /*   423 - "DELETE" */ 'D', 'E', 'L', 'E', 'T', 'E', '\0',
  /*   430 - "DELETE_CONFIRM" */ 'D', 'E', 'L', 'E', 'T', 'E', '_', 'C', 'O', 'N', 'F', 'I', 'R', 'M', '\0',
  /*   445 - "DIALOG_CANCEL" */ 'D', 'I', 'A', 'L', 'O', 'G', '_', 'C', 'A', 'N', 'C', 'E', 'L', '\0',
  /*   459 - "DIALOG_OPEN" */ 'D', 'I', 'A', 'L', 'O', 'G', '_', 'O', 'P', 'E', 'N', '\0',
  /*   471 - "OPEN_NEW_WINDOW" */ 'O', 'P', 'E', 'N', '_', 'N', 'E', 'W', '_', 'W', 'I', 'N', 'D', 'O', 'W', '\0',
  /*   487 - "OPEN_PRIVATE_WINDOW" */ 'O', 'P', 'E', 'N', '_', 'P', 'R', 'I', 'V', 'A', 'T', 'E', '_', 'W', 'I', 'N', 'D', 'O', 'W', '\0',
  /*   507 - "OPEN_NEWTAB_PREFS" */ 'O', 'P', 'E', 'N', '_', 'N', 'E', 'W', 'T', 'A', 'B', '_', 'P', 'R', 'E', 'F', 'S', '\0',
  /*   525 - "CLOSE_NEWTAB_PREFS" */ 'C', 'L', 'O', 'S', 'E', '_', 'N', 'E', 'W', 'T', 'A', 'B', '_', 'P', 'R', 'E', 'F', 'S', '\0',
  /*   544 - "BOOKMARK_DELETE" */ 'B', 'O', 'O', 'K', 'M', 'A', 'R', 'K', '_', 'D', 'E', 'L', 'E', 'T', 'E', '\0',
  /*   560 - "BOOKMARK_ADD" */ 'B', 'O', 'O', 'K', 'M', 'A', 'R', 'K', '_', 'A', 'D', 'D', '\0',
  /*   573 - "PIN" */ 'P', 'I', 'N', '\0',
  /*   577 - "UNPIN" */ 'U', 'N', 'P', 'I', 'N', '\0',
  /*   583 - "SAVE_TO_POCKET" */ 'S', 'A', 'V', 'E', '_', 'T', 'O', '_', 'P', 'O', 'C', 'K', 'E', 'T', '\0',
};

static_assert(sizeof(gEventsStringTable) <= UINT32_MAX, "index overflow");

} // namespace
#endif // mozilla_TelemetryEventData_h

